Passer au contenu principal
GET
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
{portalId}
Retrieve account flag state
curl --request GET \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/{portalId} \
  --header 'Authorization: Bearer <token>'
{
  "appId": 123,
  "flagName": "<string>",
  "portalId": 123
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis
flagName
string
requis
portalId
integer<int32>
requis

Réponse

successful operation

appId
integer<int32>
requis

The ID of the app

flagName
string
requis

The name of the flag

flagState
enum<string>
requis

The state of the flag for this portal

Options disponibles:
ABSENT,
OFF,
ON
portalId
integer<int32>
requis

The ID of the portal

Last modified on June 5, 2026